Subject: bug#43618: Problem building disk-image with guix from git

From: Fredrik Salomonsson <[email-masked]>
Date: Mon, 05 Oct 2020 10:12:00 -0700

Hi,

Ludovic Courtès <[email-masked]> writes:

> This is ‘guix substitute’, invoked by ‘guix-daemon’, telling you that it
> can’t find guile-gcrypt on its load path.  ‘sudo -E’ should preserve
> GUILE_LOAD_PATH from your environment, but was guile-gcrypt in
> $GUILE_LOAD_PATH in the first place?

Ah, I was running the `guix-daemon` outside the `guix environment guix`
thinking `pre-inst-env` would setup the correct environment. It works
fine now when I launched the `guix-daemon` in the correct environment.

Thanks!

-- 
s/Fred[re]+i[ck]+/Fredrik/g